<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.web.work.mapper.TaskListMapper">
    
    <select id="selectList" resultType="com.ruoyi.web.work.domain.TaskList">
        select * from tb_task_list
        <where>  
            <if test="userId != null "> and user_id = #{userId}</if>
            <if test="enterpriseId != null "> and enterprise_id = #{enterpriseId}</if>
            <if test="taskId != null "> and task_id = #{taskId}</if>
            <if test="pic != null  and pic != ''"> and pic = #{pic}</if>
            <if test="isRead != null "> and is_read = #{isRead}</if>
            <if test="contents != null  and contents != ''"> and contents = #{contents}</if>
        </where>
        order by id desc
    </select>

</mapper>